Subject: Re: bug#6468: A couple of problem related to frame raising (partly w32)

From: Juanma Barranquero <[email-masked]>
Date: Sat, 19 Jun 2010 20:35:55 +0200

On Sat, Jun 19, 2010 at 20:23, Lennart Borgman
<[email-masked]> wrote:

> If there had been error checking this problem should have been
> detected long ago. I have suggested adding that but the answer so far
> has not been positive.

You suggest littering the w32 sources with DebPrint calls (or ugly
macro-equivalents). The thing to do is, now that you've found a case
where not checking the result value is a bug, to fix the bug.

Yes, adding lots of DebPrint would perhaps help to find such bugs; or
perhaps it would generate so many useless warnings that would make it
even harder... There has been no deluge of bug reports related to
unchecked w32 syscalls that I am aware of.

    Juanma